#  Copyright (c) 2010 Vitja Makarov
#
#  Author: Vitja Makarov <vitja.makarov@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

class DiskDefines(dict):
    def read(self, lines):
        for i in lines:
            i = i.strip()
            if not i.startswith('#define '):
                continue
            try:
                k,v = i[8:].split(None, 1)
                self[k] = v
            except ValueError:
                pass

def read(fname):
    fp = open(fname, 'r')
    d = DiskDefines()
    d.read(fp)
    fp.close()
    return d

