#!/bin/sh
## ownerfix.sh <username:group> <squashfs-root> <output-squashfs-file> <output-size-file> command

USER="$1"
ROOT="$2"
FILE="$3"
SFILE="$4"

shift 4

CWD=`pwd`

cd "$ROOT" || exit 1

du -sx --block-size=1 --exclude='./var/cache/apt/archives' | cut -f1 > "$SFILE"

$*
ret=$?
chown "$USER" "$FILE" "$SFILE"
exit $ret
