#  Copyright (c) 2010 Vitja Makarov
#
#  Author: Vitja Makarov <vitja.makarov@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

class PackageList:
    def __init__(self):
        self.packages = set()

    def read(self, fname):
        self.readfp(open(fname))

    def readfp(self, fp):
        for line in fp:
            line = line.strip()
            if not len(line) or line.startswith('#'):
                continue
            self.packages.add(line)

    def __iter__(self):
        return iter(self.packages)
